import java.awt.Frame;
import java.awt.Graphics;

public class MultiBallWorldFrame extends Frame
{
    private static final int FrameWidth  =  600;
    private static final int FrameHeight =  400;
    private static final int Iterations  = 2000;

    private Ball[] ball;
    private int    counter;

    public MultiBallWorldFrame( int numberOfBalls )
    {
        super();

        setSize ( FrameWidth, FrameHeight );
        setTitle( "Multi Ball World" );

        ball = new Ball[numberOfBalls];
        for (int i = 0; i < numberOfBalls; i++)
        {
            int startingX = Math.abs( randomValue(600) );
            int startingY = Math.abs( randomValue(400) );
            int dx = randomValue(20);
            int dy = randomValue(10);
            ball[i] = new Ball( startingX, startingY, 10, dx, dy );
        }

        counter = 0;
    }

    public void paint( Graphics g )
    {
        for (int i = 0; i < ball.length; i++)
        {
            ball[i].paint( g );
            ball[i].move();
        }
        counter++;

        if ( counter >= Iterations )
            System.exit( 0 );

        repaint();
    }

    protected int randomValue( int upperBound )
    {
        int direction;
        if ( Math.random() >= 0.5 )
            direction = 1;
        else
            direction = -1;

        return (int) (upperBound * Math.random() ) * direction;
    }
}
